registration.hh File Reference

Header file for the control port registration functionality. More...

`#include <string>`
`#include <map>`

Go to the source code of this file.

## Classes

class | registration< TItem >
| This class provides a way to register items and its object reference The registered items are accessible from any object (singleton pattern) More...

## Detailed Description

Header file for the control port registration functionality.

Author
  ETSI STF525

Copyright
  ETSI Copyright Notification No part may be reproduced except as authorized by written permission. The copyright and the foregoing restriction extend to reproduction in all media. All rights reserved.

Version
  0.1